@echo off
@REM ************** Please leave JAVA_HOME empty as it is
SET JAVA_HOME=

@REM ************** Please set the correct values for RDR_HOME
cd ..
SET RDR_HOME=.

IF EXIST "%RDR_HOME%\java" (
   SET JRE_HOME=%RDR_HOME%\java
) ELSE IF "%PROCESSOR_ARCHITECTURE%"=="AMD64" (
   SET JRE_HOME=%RDR_HOME%\java16x64
) ELSE IF "%PROCESSOR_ARCHITEW6432%"=="AMD64" (
   SET JRE_HOME=%RDR_HOME%\java16x64
) ELSE (
   SET JRE_HOME=%RDR_HOME%\java16x32
) 
SET CATALINA_HOME=%RDR_HOME%\tomcat
SET CATALINA_BASE=%RDR_HOME%
SET TC_HOME=%RDR_HOME%
SET CATALINA_TMPDIR=%TC_HOME%\temp
SET TC_LOG_PATH=%TC_HOME%\logs
SET TC_WORK_PATH=%TC_HOME%\work
SET TC_RDR_CONF_PATH=%TC_HOME%\conf
SET TC_OPTS=-Dtc.log.path=%TC_LOG_PATH% -Dtc.work.path=%TC_WORK_PATH% -Dtc.rdr.conf.path=%TC_RDR_CONF_PATH%
SET RDR_OPTS=
SET CATALINA_OPTS=%TC_OPTS% %RDR_OPTS% -Djavax.servlet.context.tempdir=%TC_WORK_PATH%
SET JAVA_OPTS=-Xrs -Xss128k -Xms128m -Xmx1024m -XX:PermSize=128m -XX:+UseConcMarkSweepGC -XX:+UseParNewGC -XX:NewRatio=4 -XX:SurvivorRatio=6 -Dsun.net.inetaddr.ttl=3600 -Dnetworkaddress.cache.ttl=3600 -Dsun.net.inetaddr.negative.ttl=300 -Dnetworkaddress.cache.negative.ttl=300 -Djava.net.preferIPv4Stack=true -Djava.library.path=%CATALINA_HOME%\lib %TC_OPTS%

SET CATALINA_OUT=%TC_HOME%\logs\catalina.out

IF EXIST "%CATALINA_OUT%.3" del  /F "%CATALINA_OUT%.3"
IF EXIST "%CATALINA_OUT%.2" move /Y "%CATALINA_OUT%.2" "%CATALINA_OUT%.3"
IF EXIST "%CATALINA_OUT%.1" move /Y "%CATALINA_OUT%.1" "%CATALINA_OUT%.2"
IF EXIST "%CATALINA_OUT%"   move /Y "%CATALINA_OUT%" "%CATALINA_OUT%.1" 

IF EXIST "%TC_HOME%\temp" rmdir /s /q "%TC_HOME%\temp"
IF NOT EXIST "%TC_HOME%\temp" mkdir "%TC_HOME%\temp"
IF NOT EXIST "%TC_HOME%\logs" mkdir "%TC_HOME%\logs"

SET PATH=%JRE_HOME%\bin;%PATH%
"%CATALINA_HOME%\bin\catalina" run %1 %2 %3 %4 %5 %6 %7 %8 %9
